aboutsummaryrefslogtreecommitdiffstats
path: root/packaging/android
diff options
context:
space:
mode:
authorGravatar Dirk Hohndel <dirk@hohndel.org>2016-03-03 14:32:23 -0800
committerGravatar Dirk Hohndel <dirk@hohndel.org>2016-03-03 14:34:03 -0800
commit2b1812f2cbec20a6434563950fe4dac00307ec0a (patch)
treebd9e291a68db11ed9144a7755cdca3fcf5cf151e /packaging/android
parent01ae4af13d36c89a73b77ba46b78e561f1beef85 (diff)
downloadsubsurface-2b1812f2cbec20a6434563950fe4dac00307ec0a.tar.gz
Build scripts: work with both Qt 5.5 and 5.6
This is all a bit hackish but seems to work Signed-off-by: Dirk Hohndel <dirk@hohndel.org>
Diffstat (limited to 'packaging/android')
-rw-r--r--packaging/android/README2
-rw-r--r--packaging/android/build.sh11
2 files changed, 11 insertions, 2 deletions
diff --git a/packaging/android/README b/packaging/android/README
index 6c645966a..54cd544ec 100644
--- a/packaging/android/README
+++ b/packaging/android/README
@@ -23,7 +23,7 @@ Step 1.
Extract and install these into known directories.
Have a look in the top of build.sh for where the cross build tool expects
them. By default thats is: ../../../android-ndk-r9d ../../../android-sdk-linux
-and ../../../Qt/5.5
+and ../../../Qt/5.5 (or Qt/5.6)
Step 2.
Run bash build.sh in the terminal. By default it builds for arm but you
diff --git a/packaging/android/build.sh b/packaging/android/build.sh
index d9d92512e..03c2ddae9 100644
--- a/packaging/android/build.sh
+++ b/packaging/android/build.sh
@@ -20,7 +20,16 @@ fi
# Configure where we can find things here
export ANDROID_NDK_ROOT=$SUBSURFACE_SOURCE/../android-ndk-r10e
-export QT5_ANDROID=$SUBSURFACE_SOURCE/../Qt/5.5
+
+if [ -d "$SUBSURFACE_SOURCE/../Qt/5.5" ] ; then
+ export QT5_ANDROID=$SUBSURFACE_SOURCE/../Qt/5.5
+elif [ -d "$SUBSURFACE_SOURCE/../Qt/5.6" ] ; then
+ export QT5_ANDROID=$SUBSURFACE_SOURCE/../Qt/5.6
+else
+ echo "Cannot find Qt 5.5 or 5.6 under $SUBSURFACE_SOURCE/../Qt"
+ exit 1
+fi
+
if [ $PLATFORM = Darwin ] ; then
export ANDROID_SDK_ROOT=$SUBSURFACE_SOURCE/../android-sdk-macosx
export ANDROID_NDK_HOST=darwin-x86_64